summaryrefslogtreecommitdiffstats
path: root/libtransport/format_all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libtransport/format_all.sh')
-rw-r--r--libtransport/format_all.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/libtransport/format_all.sh b/libtransport/format_all.sh
new file mode 100644
index 000000000..0591413e0
--- /dev/null
+++ b/libtransport/format_all.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+set -xue
+
+SCRIPT_PATH=$( cd "$(dirname "${BASH_SOURCE}")" ; pwd -P )
+
+pushd ${SCRIPT_PATH}
+find src/ -type f '(' -name '*.c' -o -name '*.cc' -o -name '*.h' ')' -exec clang-format -style=file -i {} \;
+popd \ No newline at end of file